NSX-T Data Center Global Manager REST API
Associated URIs:
| API Description | API Path |
|---|---|
Test a directory domain event log server connectivityThis API tests a event log server connectivity before the actual domain or event log server is configured. If the connectivity is good, the response will be HTTP status 200. Otherwise the response will be HTTP status 200 and a corresponding error message will be returned. Note - Query param 'enforcement_point_path' would be honoured only in case of Global manager. |
POST /global-manager/api/v1/global-infra/firewall-identity-store-event-log-servers/status
|
Test a directory domain LDAP server connectivityThis API tests a LDAP server connectivity before the actual domain or LDAP server is configured. If the connectivity is good, the response will be HTTP status 200. Otherwise the response will be HTTP status 500 and corresponding error message will be returned. |
POST /global-manager/api/v1/global-infra/firewall-identity-store-ldap-server
|
Test a LDAP server connection for directory domainThe API tests a LDAP server connection for an already configured domain. If the connection is successful, the response will be HTTP status 200. Otherwise the response will be HTTP status 500 and corresponding error message will be returned. |
POST /global-manager/api/v1/global-infra/firewall-identity-stores/{firewall-identity-store-id}/ldap-servers/{ldap-server-id}
|
Fetch all organization units for a Firewall Identity Store. |
GET /global-manager/api/v1/global-infra/firewall-identity-stores/{firewall-identity-store-id}/org-units
|
Get Firewall identity store sync statistics for the given identifier |
GET /global-manager/api/v1/global-infra/firewall-identity-stores/{firewall-identity-store-id}/sync-stats
|
List all firewall identity storesList all firewall identity stores |
GET /global-manager/api/v1/global-infra/identity-firewall-stores
|
Delete firewall identity storeIf the firewall identity store is removed, it will stop the identity store synchronization. User will not be able to define new IDFW rules |
DELETE /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}
|
Read firewall identity storeReturn a firewall identity store based on the store identifier |
GET /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}
|
Create or update a firewall identity storeIf a firewall identity store with the firewall-identity-store-id is not already present, create a new firewall identity store. If it already exists, update the firewall identity store with specified attributes. |
PATCH /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}
|
Create or update a firewall identity storeIf a firewall identity store with the firewall-identity-store-id is not already present, create a new firewall identity store. If it already exists, replace the firewall identity store instance with the new object. |
PUT /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}
|
Delete a Event Log server for Firewall Identity store |
DELETE /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/event-log-servers/{event-log-server-id}
|
Get a specific Event Log server for a given Firewall Identity store |
GET /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/event-log-servers/{event-log-server-id}
|
Update a event log server for Firewall Identity store |
PUT /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/event-log-servers/{event-log-server-id}
|
List all configured domain LDAP servers |
GET /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/ldap-servers
|
Delete a LDAP server for Firewall Identity store |
DELETE /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/ldap-servers/{ldap-server-id}
|
Get a specific LDAP server for a given Firewall Identity store |
GET /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/ldap-servers/{ldap-server-id}
|
Create a LDAP server for Firewall Identity storeMore than one LDAP server can be created and only one LDAP server is used to synchronize directory objects. If more than one LDAP server is configured, NSX will try all the servers until it is able to successfully connect to one. |
PATCH /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/ldap-servers/{ldap-server-id}
|
Update a LDAP server for Firewall Identity store |
PUT /global-manager/api/v1/global-infra/identity-firewall-stores/{identity-firewall-store-id}/ldap-servers/{ldap-server-id}
|
Get all IDFW Group VM details for a given GroupGet all Identity Firewall Group VM details for a given Group. |
GET /global-manager/api/v1/global-infra/settings/firewall/idfw/group-vm-details
|
Get IDFW system statistics dataIt will get IDFW system statistics data. |
GET /global-manager/api/v1/global-infra/settings/firewall/idfw/system-stats
|
Get user session dataIt will get user session data. |
GET /global-manager/api/v1/global-infra/settings/firewall/idfw/user-session-data
|
Get IDFW user login events for a given VMIt will get IDFW user login events for a given VM (all active plus up to 5 most recent archived entries). |
GET /global-manager/api/v1/global-infra/settings/firewall/idfw/vm-stats/{vm-id}
|